This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 175911 - Missing Dependency: ImportError: No module named gconf
Missing Dependency: ImportError: No module named gconf
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-sudoku (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul W. Frields
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-16 01:48 EST by Paul Dickson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-16 12:35:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul Dickson 2005-12-16 01:48:49 EST
Description of problem:
Running causes a traceback from the exception: ImportError: No module named gconf

Most likely it's missing a dependency that wouls allow "import gconf" to work.

Version-Release number of selected component (if applicable):
gnome-sudoku-0.3.4-1.fc5

How reproducible:
Always

Steps to Reproduce:
1. At gnome-terminal, type gnome-sudoku.
2.
3.
  
Actual results:
# gnome-sudoku
Traceback (most recent call last):
  File "/usr/bin/gnome-sudoku", line 10, in ?
    from gnome_sudoku.gnome_sudoku import start_game
  File "/usr/lib/python2.4/site-packages/gnome_sudoku/gnome_sudoku.py", line 4, in ?
    from gtk_goodies import gconf_wrapper, Undo, dialog_extras, image_extras
  File
"/usr/lib/python2.4/site-packages/gnome_sudoku/gtk_goodies/gconf_wrapper.py",
line 5, in ?
    import gconf
ImportError: No module named gconf


Expected results:
Program should run

Additional info:
Comment 1 Paul Dickson 2005-12-16 01:54:56 EST
Doing "yum install gnome-python2-gconf" install solves this problem.

Gnome-sudoku should be made dependent on gnome-python2-gconf.
Comment 2 Paul W. Frields 2005-12-16 12:35:19 EST
Thank you, Paul -- it should be fixed in the next release, 0.4.0-2.

Note You need to log in before you can comment on or make changes to this bug.